<?php
namespace Drupal\proprofschat\Plugin\Block;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Form\FormStateInterface;
    /**
     * Live Chat.
     *
     * @Block(
     *   id = "live_chat",
     *   admin_label = @Translation("ProProfs Chat"),
     *   category = @Translation("System")
     * )
     */
 class LiveChat extends BlockBase {
  public function defaultConfiguration() {
    return array();
  }
  public function blockForm($form, FormStateInterface $form_state) {
	  
	  if($this->configuration['enabled']) $t=$this->configuration['enabled']; else $t='';
	  
    $form['enabled'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Now paste the ProProfs Chat installation code below'),
      '#default_value' => $t,
    ];
    return $form;
  }
  public function blockSubmit($form, FormStateInterface $form_state) {
    $this->configuration['enabled'] = $form_state->getValue('enabled');
  } 
   public function build() {
 
	$message = $this->t($this->configuration['enabled']);
    return [
      '#markup' => $message,
    ];
  }	
}
